
[![DOI](https://zenodo.org/badge/DOI/10.5281/zenodo.7180433.svg)](https://doi.org/10.5281/zenodo.7180433)

stixdcpy is a Python package designed to simplify the retrieval and analysis of STIX data. It offers convenient APIs for querying and downloading data from the STIX data center (https://datacenter.stix.i4ds.net/), as well as a collection of tools for visualizing data and conducting typical analysis tasks. stixdcpy empowers users to effortlessly retrieve and download various types of data from the STIX data center, including:

* Quick-look light curves
* Housekeeping data
* Science data
* Energy calibration data
* Auxiliary data
* STIX solar flare list
* STIX operations events
* Ephemeris data

# Installation


```sh
pip install git+https://github.com/i4ds/stixdcpy.git
```


# Tutorial and documentation

- [Tutorial](https://github.com/i4ds/stixdcpy/blob/master/examples/tutorial.ipynb)
- [Documentation](https://drhlxiao.github.io/stixdcpy/)



#  Cite this work
If you use the stixdcpy in your research and publications, we would definitely appreciate an appropriate acknowledgment and citation! We suggest the following BibTex:
* [1] STIX data center paper published on A&A: https://doi.org/10.1051/0004-6361/202346031
* [2] Hualin Xiao, Säm Krucker, Lastufka Erica, & William Setterberg. (2022). stixdcpy – a python package that facilitates access and analysis of STIX data (v2.0). Zenodo. https://doi.org/10.5281/zenodo.7180433

# Reporting Issues and Contributing
Open an issue on GitHub to report a problem. Pull requests welcome.
